
#pragma once
#ifndef AI_MOODSQUAD_HPP
#define AI_MOODSQUAD_HPP

#include "AI_RadioSquad.hpp"
#include <Stuff\Scalar.hpp>



namespace MW4AI
{
	namespace Squad
	{
		class MoodSquad
			: public RadioSquad
		{
			DERIVED_SquadAI;

			typedef RadioSquad inherited;

		  public:
			MoodSquad();

			ID GetID() const;

		  private:
			void LowerEveryonesMood(Stuff::Scalar mood_delta, std::vector<MWObject*>& groupmates);

		  private:
			Stuff::Time m_LastMoodUpdateTime;
			int m_NumDeadUnits;
		};
	};
};


#endif // AI_MOODSQUAD_HPP